Skip to content

updateWarehouseTransferStatus

WRITE

Update warehouse transfer status.

POST /api/v1/inventory/updateWarehouseTransferStatus
curl -X POST '<your-host>/api/v1/inventory/updateWarehouseTransferStatus' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "transferId": "string",
    "status": "Draft"
  }'

Parameters

ParameterType
"Draft""To Ship and Receive""To Ship""To Receive""Completed""Cancelled"

Input schema

schema
{
  "type": "object",
  "properties": {
    "transferId": {
      "type": "string"
    },
    "status": {
      "type": "string",
      "enum": [
        "Draft",
        "To Ship and Receive",
        "To Ship",
        "To Receive",
        "Completed",
        "Cancelled"
      ]
    }
  },
  "required": [
    "transferId",
    "status"
  ]
}